<?php
include "conect.php";


session_start();
$status="";
$usuario = $_POST['usuario'];
$clave = $_POST['password'];

$consulta_usuario = mysqli_query($con, "SELECT * FROM users WHERE NAME='$usuario'");
$conteoUsuario = mysqli_num_rows($consulta_usuario);

if ($conteoUsuario > 0) {
    $row = mysqli_fetch_assoc($consulta_usuario);
    $password_hash = $row['PASSWORD'];
    $roleUsuario = $row['ROLE'];

    if (password_verify($clave, $password_hash)) {
        $_SESSION['usuario'] = $usuario;
        $_SESSION['role'] = $roleUsuario;

        $status=1;

        echo $status; // Validación exitosa
    } else {
        echo "La contraseña es incorrecta."; // Contraseña incorrecta

       




    }
} else {
    echo "El usuario no existe."; // Usuario no encontrado
    

}


if ($status==1){

  // Establecer la zona horaria del usuario
date_default_timezone_set('America/Guatemala'); // Reemplaza 'America/Guatemala' por la zona horaria deseada

$fechaR=date("Y-m-d");
$horaR=date("H:m:s");

// Insertar el registro de inicio de sesión con fecha y hora actual en la zona horaria del usuario
$sql = "INSERT INTO registros_login (USER, DATE, TIME) VALUES ('$usuario', '$fechaR', '$horaR')";
if ($con->query($sql) === TRUE) {
} else {
}


}







mysqli_close($con);
?>
